### Method

# Gdk DeviceTool get_serial

#### Declaration [src]

    guint64
    gdk_device_tool_get_serial (
      GdkDeviceTool* tool
    )

#### Description [src]

Gets the serial number of this tool.

This value can be used to identify a physical tool (eg. a tablet pen) across program executions.

Gets property | `Gdk.DeviceTool:serial`

#### Return value

Returns: | `guint64`
| The serial ID for this tool.